## Typing stubs for auth0-python

This is a [PEP 561](https://peps.python.org/pep-0561/)
type stub package for the [`auth0-python`](https://github.com/auth0/auth0-python) package.
It can be used by type-checking tools like
[mypy](https://github.com/python/mypy/),
[pyright](https://github.com/microsoft/pyright),
[pytype](https://github.com/google/pytype/),
[Pyre](https://pyre-check.org/),
PyCharm, etc. to check code that uses `auth0-python`. This version of
`types-auth0-python` aims to provide accurate annotations for
`auth0-python==4.8.*`.

This package is part of the [typeshed project](https://github.com/python/typeshed).
All fixes for types and metadata should be contributed there.
See [the README](https://github.com/python/typeshed/blob/main/README.md)
for more details. The source for this package can be found in the
[`stubs/auth0-python`](https://github.com/python/typeshed/tree/main/stubs/auth0-python)
directory.

This package was tested with
mypy 1.15.0,
pyright 1.1.398,
and pytype 2024.10.11.
It was generated from typeshed commit
[`1c17cd429c2f91b0066547deb99c537af3e54d39`](https://github.com/python/typeshed/commit/1c17cd429c2f91b0066547deb99c537af3e54d39).